complexType "IntermediaryInformation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 5 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (routingIds | routingExplicitDetails | routingIdsAndExplicitDetails), intermediarySequenceNumber, intermediaryPartyReference?
</...>

Content Model Elements (5):

  intermediaryPartyReference, intermediarySequenceNumber, routingExplicitDetails, | routingIds (defined in RoutingIdentification.model group), routingIdsAndExplicitDetails

All Direct / Indirect Based Elements (1):

  intermediaryInformation

Known Usage Locations

- As direct type of elements (1):
  intermediaryInformation

Annotation
A type that describes the information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="IntermediaryInformation"> <xsd:sequence> <xsd:group ref="RoutingIdentification.model"/> <xsd:element name="intermediarySequenceNumber" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="intermediaryPartyReference" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
intermediaryPartyReference

  Type: | PartyReference, empty content

  Reference to the party acting as intermediary.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="intermediaryPartyReference" type="PartyReference"/>

intermediarySequenceNumber

  Type: | xsd:positiveInteger, predefined, simple content

  A sequence number that gives the position of the current intermediary in the chain of payment intermediaries. The assumed domain value set is an ascending sequence of integers starting from 1.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="intermediarySequenceNumber" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.